Subject: [netmod] YANG module for syslog

From: "David Harrington" <[email-masked]>
Date: Mon, 15 Sep 2014 15:25:10 -0400

Hi,

The syslog community came to the IETF a few years ago and asked for help
standardizing and securing the syslog protocol.
The result is the syslog standard defined in RFC5424. 5425, 5426, and 5427.
Subsequent work has been done in RFC5674, 5675, and 5676 to correlate IETF
syslog messages with X.733 alarms, and SNMP notifications.
Subsequent work has been done in RFC5848 to secure syslog messages both in
transit and "at rest".
And subsequent work has been to extend the choices of protocol to carry
syslog messages in RFC6012 and 6587.

It would make much more sense for the IETF to standardize a YANG module for
the IETF standard syslog, rather than one of the many variants that preceded
standardization.

David Harrington
[email-masked]
+1-603-828-1401